Name:          libdwarf
Version:       20201020
Release:       2
Summary:       Library to access DWARF debugging information
License:       LGPLv2
URL:           http://www.prevanders.net/dwarf.html
Source0:       http://www.prevanders.net/%{name}-%{version}.tar.gz
Patch0:        CVE-2020-28163.patch
BuildRequires: gcc binutils-devel elfutils-libelf-devel dos2unix

%description
Libdwarf is a library of functions to provide read/write DWARF
debugging records.

%package devel
Summary:       Library and header files of libdwarf
Requires:      %{name} = %{version}-%{release}
Provides:      libdwarf-static = %{version}-%{release}
Obsoletes:     libdwarf-static < %{version}-%{release}

%description devel
Libdwarf-devel provides libraries and header files for libdwarf.

%package tools
Summary:       Tools to access the DWARF debugging file format
Requires:      %{name} = %{version}-%{release}

%description tools
Libdwarf-tools contains dwarfdump, a tool to access DWARF debug information.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --enable-shared
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make_build

%install
%make_install
install -d %{buildroot}%{_includedir}/libdwarf
mv %{buildroot}%{_includedir}/*.h %{buildroot}%{_includedir}/libdwarf

%delete_la

%check
LD_LIBRARY_PATH=$PWD/libdwarf/.libs %__make check

%files
%defattr(-,root,root)
%license libdwarf/{COPYING,LIBDWARFCOPYRIGHT,LGPL.txt}
%{_libdir}/libdwarf.so.*
%exclude %{_datadir}/libdwarf

%files devel
%defattr(-,root,root)
%{_includedir}/libdwarf
%{_libdir}/{libdwarf.so,libdwarf.a}

%files tools
%defattr(-,root,root)
%doc dwarfdump/{README,ChangeLog}
%license dwarfdump/{COPYING,DWARFDUMPCOPYRIGHT,GPL.txt}
%{_bindir}/dwarfdump
%{_datadir}/dwarfdump/dwarfdump.conf

%files help
%defattr(-,root,root)
%doc libdwarf/{ChangeLog,README,*.pdf}
%{_mandir}/man1/dwarfdump.1.gz

%changelog
* Tue Jul 26 2022 panys<panyanshuang@nati-gba.cn> - 20201020-2
- Fix CVE-2020-28163

* Tue Nov 24 2020 SimpleUpdate Robot <tc@openeuler.org> - 20201020-1
- Upgrade to version 20201020

* Fri Jun 21 2020 hanhui<hanhui15@huawei.com> - 20200114
- Mainline branch update to 20200114

* Tue Apr 21 2020 songnannan <songnannan2@huawei.com> - 20200114
- update to 20200114

* Tue Nov 05 2019 yanzhihua <yanzhihua4@huawei.com> - 20180809-2
- Package init
